Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api
Interface IBaseDataSourceDesign

All Known Subinterfaces:
  IOdaDataSourceDesign, IScriptDataSourceDesign

All Known Implementing Classes:
  BaseDataSourceDesign, OdaDataSourceDesign, ScriptDataSourceDesign

    public interface IBaseDataSourceDesign

Describes the static design of any data source (connection) to be used by the Data Engine. Each sub-interface defines a specific type of data source.

Method Summary
`java.lang.String` | `getAfterCloseScript()` Gets the `afterClose` script of the data source.
`java.lang.String` | `getAfterOpenScript()` Gets the `afterOpen` script of the data source.
`java.lang.String` | `getBeforeCloseScript()` Gets the `beforeClose` script to be called just before closing the data source (connection).
`java.lang.String` | `getBeforeOpenScript()` Gets the `beforeOpen` script to be called just before opening the data source (connection).
`IBaseDataSourceEventHandler` | `getEventHandler()` Gets the event handler for the data source
`java.lang.String` | `getName()` Gets the name of this data source.

Method Detail

### getName

    java.lang.String getName()

  Gets the name of this data source.

### getBeforeOpenScript

    java.lang.String getBeforeOpenScript()

  Gets the `beforeOpen` script to be called just before opening the data source (connection).

  Returns:
    The `beforeOpen` script. Null if none is defined.

### getAfterOpenScript

    java.lang.String getAfterOpenScript()

  Gets the `afterOpen` script of the data source.

  Returns:
    The `afterOpen` script. Null if none is defined.

### getBeforeCloseScript

    java.lang.String getBeforeCloseScript()

  Gets the `beforeClose` script to be called just before closing the data source (connection).

  Returns:
    The `beforeClose` script. Null if none is defined.

### getAfterCloseScript

    java.lang.String getAfterCloseScript()

  Gets the `afterClose` script of the data source.

  Returns:
    The `afterClose` script. Null if none is defined.

### getEventHandler

    IBaseDataSourceEventHandler getEventHandler()

  Gets the event handler for the data source

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.